include "macros.inc"

MEOS_APP_START

CODE
redraw:
	call	draw_window
wait_event:
	mcall	10
	dec	eax
	jz	redraw
	dec	eax
	jz	key
; button pressed; we have only one button, close
	mcall	-1
key:
; key pressed, read it and ignore
	mcall	2
	jmp	wait_event

draw_window:
	mcall	12, 1		; start redraw
	mcall	0, <10,150>, <40,50>, 0x33FFFFFF, , header	; define&draw window
	mcall	4, <30,10>, 0x80000000, string			; display string
	mcall	12, 2		; end redraw
	ret

DATA
header	db	'HelloWorld test',0
string	db	'Hello, World!',0

UDATA

MEOS_APP_END
