        .486
        .model  flat

.data
; header
        db      'MENUET01'
        dd      1
        dd      offset _start
        dd      offset bss_start        ; i_end
        dd      offset bss_end          ; memory
        dd      offset stacktop         ; esp
        dd      0, 0                    ; params, icon

header  db      'HelloWorld test',0
string  db      'Hello, World!',0

.data?
bss_start label byte
align 4
        db      1000h dup (?)
stacktop = $
bss_end label byte

.code
_start:
redraw:
        call    draw_window
wait_event:
        mov     eax, 10
        int     40h
        dec     eax
        jz      redraw
        dec     eax
        jz      key
; button pressed; we have only one button, close
        mov     eax, -1
        int     40h
key:
; key pressed, read it and ignore
        mov     eax, 2
        int     40h
        jmp     wait_event

draw_window:
        mov     eax, 12
        mov     ebx, 1
        int     40h             ; start redraw
        xor     eax, eax
        mov     ebx, 10*65536 + 150
        mov     ecx, 40*65536 + 50
        mov     edx, 33FFFFFFh
        mov     edi, offset header
        int     40h             ; define&draw window
        mov     eax, 4
        mov     ebx, 30*65536 + 10
        mov     ecx, 80000000h
        mov     edx, offset string
        int     40h             ; draw string
        mov     eax, 12
        mov     ebx, 2
        int     40h             ; end redraw
        ret

        end     _start
